Subject: Re: 23.1.50; [NS/Cocoa] Crash when hovering mode-line-inactive face
From: Adrian Robert <[email-masked]>
To: [email-masked]
Date: Thu, 23 Jul 2009 09:22:53 -0400

I've checked in a fix to the branch and trunk.  The problem was face- 
 >box_color was 0, and apparently the xassert not the case just above  
was not firing because asserts are ifdef'd out unless compiling with a  
special flag.  Seems a bit counterproductive, but anyway I'll start  
working on replacing all xasserts in the NS code with explict if ()  
abort().

A different question is why exactly this box_color IS set to zero in  
the first place.  This will have to await later investigation.